.page-description {
  margin-bottom: 60px;
  max-width: 599px;
  font-size: 15px;
  font-weight: 400;
  line-height: normal;
}

.parent-page__grid {
  display: grid;
  grid-template-columns: repeat(3, minmax(0, 1fr));
  align-items: flex-start;
  gap: 43px 39px;
  margin-bottom: 70px;
}

.parent-page__grid-item {
  padding: 0;
}

.parent-page__grid-item::before {
  content: none;
}

.parent-page__card {
  display: grid;
  gap: 20px;
}

.parent-page__card-head {
  position: relative;
}

.parent-page__card-head::before {
  content: '';
  position: absolute;
  inset: 0;
  opacity: 0;
  background: rgba(0, 0, 0, 0.4);
  transition: opacity 0.3s ease-in-out;
  z-index: 1;
}

.parent-page__card-img {
  display: block;
  width: 100%;
  height: auto;
  aspect-ratio: 1/0.7327;
}

.parent-page__card-button {
  padding: 10px 16px;
  position: absolute;
  left: 50%;
  top: 50%;
  translate: -50% -50%;
  color: #f8f8f8;
  font-size: 16px;
  font-weight: 700;
  line-height: normal;
  scale: 0;
  background-color: #ffad00;
  transition: scale 0.3s ease-in-out;
  z-index: 2;
}

.parent-page__card-body {
  display: grid;
  gap: 11px;
}

.parent-page__card-title {
  font-size: 24px;
  font-weight: 400;
  line-height: normal;
  text-transform: uppercase;
  color: #343434;
  transition: color 0.3s ease-in-out;
}

.parent-page__card-description {
  font-size: 14px;
  font-weight: 400;
  line-height: normal;
  color: #555;
}

.parent-page__card:hover .parent-page__card-head::before {
  opacity: 1;
}

.parent-page__card:hover .parent-page__card-button {
  scale: 1;
}

.parent-page__card:hover .parent-page__card-title {
  color: #ffad00;
}

@media (max-width: 768px) {
  .page-description {
    margin-bottom: 30px;
  }

  .parent-page__grid {
    margin-bottom: 30px;
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: 20px;
  }
}

@media (max-width: 600px) {
  .parent-page__card-title {
    font-size: 20px;
  }
}

@media (max-width: 450px) {
  .parent-page__grid {
    grid-template-columns: minmax(0, 1fr);
  }
}
